
package de.ugoe.cs.quest.plugin.mfc.eventcore;

import de.ugoe.cs.quest.eventcore.IEventTarget;

/**
 * 
 * <p>
 * TODO comment
 * </p>
 * 
 * @version $Revision: $ $Date: Aug 17, 2012$
 * @author 2012, last modified by $Author: sherbold$
 */
public class MFCEventTarget implements IEventTarget {

    /**  */
    private static final long serialVersionUID = 1L;

    private String targetString;

    public MFCEventTarget(String targetString) {
        this.targetString = targetString;
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.ugoe.cs.quest.eventcore.IEventTarget#getPlatform()
     */
    @Override
    public String getPlatform() {
        return "MFC";
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return targetString;
    }

}
